Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.util
Class Transform

    java.lang.Object
      org.apache.logging.log4j.core.util.Transform

    public final class Transform

extends Object

Utility class for transforming strings.

Method Summary
`static void` | `appendEscapingCData(StringBuilder buf, String str)` Ensures that embedded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
`static String` | `escapeHtmlTags(String input)` This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<', '>' , '&' or '"' characters with respective predefined entity references.
`static String` | `escapeJsonControlCharacters(String input)` This method takes a string which may contain JSON reserved chars and escapes them.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### escapeHtmlTags

    public static String escapeHtmlTags(String input)

  This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<', '>' , '&' or '"' characters with respective predefined entity references.

  Parameters:
    `input` - The text to be converted.
  Returns:
    The input string with the special characters replaced.

### appendEscapingCData

    public static void appendEscapingCData(StringBuilder buf,
                                           String str)

  Ensures that embedded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.

  Parameters:
    `buf` - StringBuilder holding the XML data to this point. The initial CDStart (<![CDATA[) and final CDEnd (]]>) of the CDATA section are the responsibility of the calling method.
    `str` - The String that is inserted into an existing CDATA Section within buf.

### escapeJsonControlCharacters

    public static String escapeJsonControlCharacters(String input)

  This method takes a string which may contain JSON reserved chars and escapes them.

  Parameters:
    `input` - The text to be converted.
  Returns:
    The input string with the special characters replaced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.